package com.streams.kafka.producer;

import java.util.ArrayList;
import java.util.List;

import org.apache.log4j.Level;
import org.apache.log4j.Logger;
import org.apache.spark.SparkConf;
import org.apache.spark.api.java.JavaRDD;
import org.apache.spark.api.java.JavaSparkContext;

public class TextRead {
	@SuppressWarnings("resource")
	public static void main(String[] args) {

		/*
		 * List<String> inputData = new ArrayList();
		 * 
		 * inputData.add("Prasad"); inputData.add("Rajendra"); inputData.add("Spark");
		 */
		Logger.getLogger("org.apache").setLevel(Level.WARN);
		List<Integer> inputData = new ArrayList();
		inputData.add(35);
		inputData.add(25);
		inputData.add(22);
		inputData.add(55);

		
		
		Logger.getLogger("org.apache").setLevel(Level.WARN);
		SparkConf conf = new SparkConf().setAppName("basicjavaspark").setMaster("local[*]");
		JavaSparkContext sc = new JavaSparkContext(conf);

		JavaRDD<Integer> javaRdd = sc.parallelize(inputData);
		Integer result = javaRdd.reduce((value1, value2) -> value1 + value2);

		JavaRDD<Double> sqrtRDD = javaRdd.map(value -> Math.sqrt(value));
		sqrtRDD.foreach(value -> System.out.println(value));
		//System.out.println(result);

		// javaRdd.foreach(System.out::println);

		sc.close();
	}
}
